Page MenuHomePhabricator

ecore: simplify Efl.Model_Composite_Boolean by relying on parent class.
AbandonedPublic

Authored by cedric on Jan 16 2019, 6:28 PM.

Details

Summary

Rely on Efl.Model_Composite to simplify the code and remove Efl.Model_Composite_Boolean_Children.
This provide the exact same functionality as before and tests are passing.

Depends on D7654

Diff Detail

Repository
rEFL core/efl
Branch
T7382-devs/cedric/homogeneous
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 8954
cedric created this revision.Jan 16 2019, 6:28 PM
cedric updated this revision to Diff 18575.Jan 17 2019, 4:42 PM
cedric edited the summary of this revision. (Show Details)

Rebase.

SanghyeonLee requested changes to this revision.Jan 25 2019, 2:54 AM

I think this patch need to be abandoned as it already merged in D7654

This revision now requires changes to proceed.Jan 25 2019, 2:54 AM
cedric abandoned this revision.Jan 25 2019, 10:25 AM

You are right, phab didn't abandon it automatically when I merged the patch.